openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
paths:
  /management/v1/endpoints/{endpoint_id}:deployModel:
    post:
      summary: Deploy model to endpoint
      operationId: deploy_model_to_endpoint_route_management_v1_endpoints__endpoint_id__deployModel_post
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
              \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
              \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
              \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
              \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
              ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n\
              }'\n```"
            title: Endpoint Id
          description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
            \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
            \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
            \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
            \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
            ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n\
            ```"
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndpointDeployModelRequest'
            examples:
              deploy_model:
                summary: Deploy a model version
                value:
                  model: orgs/my-org/models/gpt-oss-120b/versions/1
              deploy_by_alias:
                summary: Deploy using version alias
                value:
                  model: orgs/my-org/models/gpt-oss-120b/versions/production
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDeployResponse'
              example:
                name: 550e8400-e29b-41d4-a716-446655440000
                done: false
                response:
                  deployment_id: 550e8400-e29b-41d4-a716-446655440000
                  endpoint_id: my-org-gpt-oss-120b
                  org_name: my-org
                  model_arch_id: gpt-oss-120b
                  version_id: 1
                  created: 1736700000
                  updated: 1736700000
                  rollout_status: not_started
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Deploy a model version to a dedicated endpoint running a model with the
          same underlying architecture. The endpoint queues the deployment operation
          and returns a deployment ID for tracking status.'
  /management/v1/endpoints/{endpoint_id}:
    get:
      summary: Retrieve endpoint status
      operationId: get_endpoint_status_route_management_v1_endpoints__endpoint_id__get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
              \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
              \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
              \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
              \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
              ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n\
              }'\n```"
            title: Endpoint Id
          description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
            \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
            \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
            \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
            \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
            ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n\
            ```"
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointStatusResponse'
              example:
                name: my-org-gpt-oss-120b
                model_arch_id: gpt-oss-120b
                deployed_models:
                  - id: 550e8400-e29b-41d4-a716-446655440000
                    model: orgs/my-org/models/gpt-oss-120b/versions/1
                    version_alias: production-jan-12-2026-finetuned
                    created: 1736700000
                    state: complete
                managing_org_name: my-org
                created: 1736600000
                updated: 1736700000
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Describes the status of an endpoint, including deployment status and active
          model versions.'
  /management/v1/orgs/{org_name}/models:upload:
    post:
      summary: Upload model version
      operationId: upload_new_model_version_route_management_v1_orgs__org_name__models_upload_post
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelVersionUploadRequest'
            examples:
              upload_model:
                summary: Upload a new model version
                value:
                  model_arch_id: gpt-oss-120b
                  model:
                    weight_uri: s3://my-bucket/model-weights
                    version_aliases:
                      - production
                      - v1-stable
                    system_fingerprint_suffix: my-custom-suffix
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionUploadResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                done: false
                response:
                  customer_s3_uri: s3://my-bucket/model-weights
                  version_aliases:
                    - production
                    - v1-stable
                  sync_status: queued
      x-mint:
        content: "<Callout icon= \"lock\" color=\"#b2b1b1ff\" iconType=\"regular\"\
          >\nThis feature is in [Private Preview](/support/preview-releases). For\
          \ access or more information, [contact us](https://www.cerebras.ai/contact)\
          \ or reach out to your account representative.\n</Callout>\n\nUpload a new\
          \ finetuned model version to Cerebras. Model versions are custom variants\
          \ of Cerebras-supported model architectures.\n\nTo get started, contact\
          \ your Cerebras Account representative for onboarding to the Customer Management\
          \ API.\n\n**S3 Bucket Setup**\n\nCreate an S3 bucket with a name of your\
          \ choice. Your Cerebras representative will provide specific instructions,\
          \ but the bucket policy must grant cross-account access to Cerebras:\n\n\
          ```json\n{\n  \"Version\": \"2012-10-17\",\n  \"Statement\": [\n    {\n\
          \      \"Effect\": \"Allow\",\n      \"Principal\": {\n        \"AWS\":\
          \ \"<cerebras-provided-iam-role-arn>\"\n      },\n      \"Action\": [\n\
          \        \"s3:GetObject\",\n        \"s3:GetObjectVersion\",\n        \"\
          s3:ListBucket\",\n        \"s3:GetBucketLocation\"\n      ],\n      \"Resource\"\
          : [\n        \"arn:aws:s3:::<your-bucket-name>\",\n        \"arn:aws:s3:::<your-bucket-name>/*\"\
          \n      ]\n    }\n  ]\n}\n```\n\nReplace `<your-bucket-name>` with your\
          \ S3 bucket name. The IAM role ARN (`<cerebras-provided-iam-role-arn>`)\
          \ will be provided by Cerebras and enables secure cross-account access to\
          \ your model weights."
  /management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}:
    get:
      summary: Retrieve model version status
      operationId: get_model_version_status_route_management_v1_orgs__org_name__models__model_arch_id__versions__version_id__get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
            title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: Autoincrementing integer or user-defined alias to identify
              model version.
            title: Version Id
          description: Autoincrementing integer or user-defined alias to identify
            model version.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionStatusResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                done: true
                response:
                  customer_s3_uri: s3://my-bucket/model-weights
                  version_aliases:
                    - production
                    - v1-stable
                  sync_status: done
                  system_fingerprint_suffix: my-custom-suffix
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Retrieve the status and details of a specific model version, including upload
          status.'
    patch:
      summary: Update model version aliases
      operationId: update_model_version_aliases_route_management_v1_orgs__org_name__models__model_arch_id__versions__version_id__patch
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
            title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: Autoincrementing integer or user-defined alias to identify
              model version.
            title: Version Id
          description: Autoincrementing integer or user-defined alias to identify
            model version.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelVersionUpdateAliasesRequest'
            examples:
              update_aliases:
                summary: Update version aliases
                value:
                  version_aliases:
                    - production
                    - v1-stable
                    - latest
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionUpdateAliasesResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                version_aliases:
                  - production
                  - v1-stable
                  - latest
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Assign unique aliases to model versions instead of using autogenerated IDs.
          Use these aliases anywhere you would normally use an integer version ID.'
    delete:
      summary: Delete model version
      operationId: delete_model_version_route_management_v1_orgs__org_name__models__model_arch_id__versions__version_id__delete
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
            title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: Autoincrementing integer or user-defined alias to identify
              model version.
            title: Version Id
          description: Autoincrementing integer or user-defined alias to identify
            model version.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionDeleteResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                deleted: true
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Delete a specific model version and its associated artifacts from Cerebras.'
  /management/v1/orgs/{org_name}/endpoints:
    get:
      summary: List endpoints
      operationId: get_endpoints_by_org_route_management_v1_orgs__org_name__endpoints_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointListResponse'
              example:
                endpoints:
                  - endpoint_id: my-org-gpt-oss-120b
                    model_arch_id: gpt-oss-120b
                    created: 1736700000
                    updated: 1736700000
                    org_name: my-org
                  - endpoint_id: my-org-llama3.1-8b
                    model_arch_id: llama3.1-8b
                    created: 1736600000
                    updated: 1736650000
                    org_name: my-org
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          List all endpoints accessible to an organization for management.'
  /management/v1/orgs/{org_name}/models:
    get:
      summary: List model architectures
      operationId: get_model_archs_by_org_route_management_v1_orgs__org_name__models_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelArchIdListResponse'
              example:
                model_architectures:
                  - gpt-oss-120b
                  - qwen-2.5-32b
                  - deepseek-r1-distill-llama-70b
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          List model architectures accessible to an organization.'
  /management/v1/orgs/{org_name}/models/{model_arch_id}/versions:
    get:
      summary: List model versions
      operationId: get_all_model_versions_route_management_v1_orgs__org_name__models__model_arch_id__versions_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: 'Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.'
            title: Org Name
          description: 'Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.'
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
            title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionListResponse'
              example:
                model_versions:
                  - name: orgs/my-org/models/gpt-oss-120b/versions/1
                    done: true
                    response:
                      customer_s3_uri: s3://my-bucket/model-weights
                      version_aliases:
                        - production-jan-12-2026-finetuned
                      sync_status: done
                  - name: orgs/my-org/models/gpt-oss-120b/versions/2
                    done: false
                    response:
                      customer_s3_uri: s3://my-bucket/model-weights-v2
                      version_aliases:
                        - my-cool-version
                      sync_status: in_progress
      x-mint:
        content: '<Callout icon= "lock" color="#b2b1b1ff" iconType="regular">

          This feature is in [Private Preview](/support/preview-releases). For access
          or more information, [contact us](https://www.cerebras.ai/contact) or reach
          out to your account representative.

          </Callout>


          Get all uploaded model versions for a particular supported architecture.'
components:
  schemas:
    DeployedModel:
      description: A deployment record for a model version running behind an endpoint.
      properties:
        id:
          type: string
          title: Id
          description: Deployment ID for this running model version. This is the UUID
            generated when the deployment is created.
        model:
          type: string
          title: Model
          description: Model version resource name in the format of `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`.
        version_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Alias
          description: Original version reference from deploy request (alias or integer
            version ID as specified by user).
        created:
          type: integer
          title: Created
          description: Unix timestamp (in seconds) when the deployment was created.
        state:
          allOf:
            - $ref: '#/components/schemas/DeploymentRolloutStatus'
          description: Rollout status reported for the deployment.
        max_unavailable_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Unavailable Replicas
          description: Maximum number of replicas that can be unavailable during rollout.
        rollout_replicas_updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Replicas Updated
          description: Number of replicas that have been updated in the rollout.
        rollout_total_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Total Replicas
          description: Total number of replicas in the deployment.
        rollout_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollout Error Message
          description: Error message from the rollout, if any.
      additionalProperties: false
      type: object
      required:
        - id
        - model
        - created
        - state
      title: DeployedModel
    DeploymentRolloutStatus:
      type: string
      enum:
        - not_started
        - in_progress
        - rolling_back
        - rolled_back
        - done
        - error
        - cancelled
      title: DeploymentRolloutStatus
      description: Deployment rollout states for database storage.
    EndpointDeployModelRequest:
      properties:
        model:
          type: string
          title: Model
          description: Model version name in the format of `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`,
            where `<version_id>` can be an integer version ID or a model version alias.
      additionalProperties: false
      type: object
      required:
        - model
      title: EndpointDeployModelRequest
    EndpointDeployResponse:
      description: Long-running operation returned when a deployment is created behind an endpoint.
      properties:
        name:
          type: string
          title: Name
          description: Operation name for API compatibility. Its value is the deployment
            UUID and matches `response.deployment_id` when `response` is present.
        done:
          type: boolean
          title: Done
          description: Whether the operation is complete.
        response:
          anyOf:
            - $ref: '#/components/schemas/EndpointDeploymentOperation'
            - type: 'null'
          description: Deployment metadata captured at submission time.
      additionalProperties: false
      type: object
      required:
        - name
        - done
      title: EndpointDeployResponse
    EndpointDeploymentOperation:
      properties:
        deployment_id:
          type: string
          title: Deployment Id
          description: UUID for the deployment record.
        endpoint_id:
          type: string
          title: Endpoint Id
          description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
            \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
            \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
            \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
            \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
            ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n\
            ```"
        org_name:
          type: string
          title: Org Name
          description: Owning organization for the deployment.
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        version_id:
          type: integer
          title: Version Id
          description: Version identifier for the deployed model.
        version_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Alias
          description: Original version reference from deploy request (alias or integer
            version ID as specified by user).
        created:
          type: integer
          title: Created
          description: Unix timestamp (in seconds) when the deployment record was
            created.
        updated:
          type: integer
          title: Updated
          description: Unix timestamp (in seconds) when the deployment record was
            last updated.
        rollout_status:
          anyOf:
            - $ref: '#/components/schemas/DeploymentRolloutStatus'
            - type: 'null'
          description: Latest rollout status reported by the deployer, if any.
        max_unavailable_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Unavailable Replicas
          description: Maximum number of replicas that can be unavailable during rollout.
        rollout_replicas_updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Replicas Updated
          description: Number of replicas that have been updated in the rollout.
        rollout_total_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rollout Total Replicas
          description: Total number of replicas in the deployment.
        rollout_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollout Error Message
          description: Error message from the rollout, if any.
      additionalProperties: false
      type: object
      required:
        - deployment_id
        - endpoint_id
        - org_name
        - model_arch_id
        - version_id
        - created
        - updated
      title: EndpointDeploymentOperation
    EndpointListResponse:
      properties:
        endpoints:
          items:
            $ref: '#/components/schemas/EndpointSummary'
          type: array
          title: Endpoints
          description: Endpoints that can be managed via the API.
      additionalProperties: false
      type: object
      required:
        - endpoints
      title: EndpointListResponse
    EndpointStatusResponse:
      description: A stable endpoint and the deployment records currently associated with it.
      properties:
        name:
          type: string
          title: Name
          description: Stable endpoint ID (e.g. `my-org-gpt-oss-120b`). This field
            is named `name` for API compatibility.
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        deployed_models:
          items:
            $ref: '#/components/schemas/DeployedModel'
          type: array
          title: Deployed Models
          description: Deployment records currently associated with this endpoint.
            The field name is retained for API compatibility.
        managing_org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Managing Org Name
          description: Organization that has management access to this endpoint.
        created:
          type: integer
          title: Created
          description: Unix timestamp (in seconds) when the endpoint was created.
        updated:
          type: integer
          title: Updated
          description: Unix timestamp (in seconds) when the endpoint was last updated.
      additionalProperties: false
      type: object
      required:
        - name
        - model_arch_id
        - deployed_models
        - created
        - updated
      title: EndpointStatusResponse
    EndpointSummary:
      properties:
        endpoint_id:
          type: string
          title: Endpoint Id
          description: "Unique identifier for the endpoint. It is used as the [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)\
            \ field when making an inference request.\n\nExample: `my-org-gpt-oss-120b`\n\
            \n```bash\ncurl --location 'https://api.cerebras.ai/v1/chat/completions'\
            \ \\\n--header 'Content-Type: application/json' \\\n--header \"Authorization:\
            \ Bearer ${CEREBRAS_API_KEY}\" \\\n--data '{\n  \"model\": \"my-org-gpt-oss-120b\"\
            ,\n  \"messages\": [{\"content\": \"Hello!\", \"role\": \"user\"}]\n}'\n\
            ```"
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        created:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created
          description: Unix timestamp (in seconds) when the endpoint was created.
        updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated
          description: Unix timestamp (in seconds) when the endpoint was last updated.
        org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Name
          description: Organization currently managing the endpoint.
      additionalProperties: false
      type: object
      required:
        - endpoint_id
        - model_arch_id
      title: EndpointSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelArchIdListResponse:
      properties:
        model_architectures:
          items:
            type: string
          type: array
          title: Model Architectures
          description: List of model architecture IDs.
      additionalProperties: false
      type: object
      required:
        - model_architectures
      title: ModelArchIdListResponse
    ModelVersionDeleteResponse:
      properties:
        message:
          type: string
          title: Message
      additionalProperties: false
      type: object
      required:
        - message
      title: ModelVersionDeleteResponse
    ModelVersionListResponse:
      properties:
        model_versions:
          items:
            $ref: '#/components/schemas/ModelVersionStatusResponse'
          type: array
          title: Model Versions
      additionalProperties: false
      type: object
      required:
        - model_versions
      title: ModelVersionListResponse
    ModelVersionStatus:
      properties:
        customer_s3_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Uri
          description: S3 URI provided by the customer.
        version_aliases:
          items:
            type: string
          type: array
          title: Version Aliases
          description: List of aliases that can be used to refer to this version.
        sync_status:
          title: Sync Status
          description: Status of the weight sync operation.
          $ref: '#/components/schemas/WeightSyncStatusEnum'
        system_fingerprint_suffix:
          type: string
          title: System Fingerprint Suffix
          description: Suffix appended to the system fingerprint for this model version.
      additionalProperties: false
      type: object
      required:
        - customer_s3_uri
        - version_aliases
        - sync_status
        - system_fingerprint_suffix
      title: ModelVersionStatus
    ModelVersionStatusResponse:
      properties:
        name:
          type: string
          title: Name
          description: Model Version ID in the format of `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`.
        done:
          type: boolean
          title: Done
          description: Whether the operation is complete.
        response:
          anyOf:
            - $ref: '#/components/schemas/ModelVersionStatus'
            - type: 'null'
          description: Response data with model version status information.
      additionalProperties: false
      type: object
      required:
        - name
        - done
      title: ModelVersionStatusResponse
    ModelVersionUpdateAliasesRequest:
      properties:
        version_aliases:
          items:
            type: string
            pattern: ^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$
          type: array
          title: Version Aliases
          description: 'List of aliases for the model version. Must match pattern:
            `^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$`.


            Aliases must be unique within an organization and model architecture.
            If an alias is already assigned to another version, it must first be removed
            from that version before it can be reassigned.'
      additionalProperties: false
      type: object
      required:
        - version_aliases
      title: ModelVersionUpdateAliasesRequest
    ModelVersionUpdateAliasesResponse:
      properties:
        name:
          type: string
          title: Name
        version_aliases:
          items:
            type: string
          type: array
          title: Version Aliases
      additionalProperties: false
      type: object
      required:
        - name
        - version_aliases
      title: ModelVersionUpdateAliasesResponse
    ModelVersionUploadRequest:
      properties:
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        model:
          $ref: '#/components/schemas/ModelVersionUploadRequestModel'
      additionalProperties: false
      type: object
      required:
        - model_arch_id
        - model
      title: ModelVersionUploadRequest
    ModelVersionUploadRequestModel:
      properties:
        version_aliases:
          anyOf:
            - items:
                type: string
                pattern: ^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$
              type: array
            - type: 'null'
          title: Version Aliases
          description: 'Optional list of aliases that can be used to refer to this
            new version instead of the autogenerated integer number. Must match pattern:
            `^[a-z][a-zA-Z0-9-]{0,126}[a-z0-9]$`.'
        weight_uri:
          type: string
          pattern: ^s3://[a-zA-Z0-9.\-_/~]+$
          title: Weight Uri
          description: 'S3 URI to customer-provided weights. Must match pattern: `^s3://[a-zA-Z0-9.\-_/~]+$`.'
        system_fingerprint_suffix:
          anyOf:
            - type: string
              pattern: ^[a-zA-Z0-9-]{1,64}$
            - type: 'null'
          title: System Fingerprint Suffix
          description: "Optional custom suffix appended after the auto-generated fingerprint\
            \ pattern.\n\nThe final fingerprint will be `fp_{backend_hash}_{model_arch_id}_v{version_id}_{custom_suffix}`\
            \ if provided, or just `fp_{backend_hash}_{model_arch_id}_v{version_id}`\
            \ if not.\n\nMust match pattern: `^[a-zA-Z0-9-]{1,64}$`. \n\nThis suffix\
            \ appears in the `system_fingerprint` field of inference responses, allowing\
            \ you to identify which model version served a request.\n\nExample response:\n\
            ```\ncurl -X POST \"https://api.cerebras.ai/v1/chat/completions\" \\\n\
            \  -H \"Authorization: Bearer $CEREBRAS_API_KEY\" \\\n  -d '{\"model\"\
            : \"my-org-gpt-oss-120b\", \"messages\": [{\"content\": \"Hello!\", \"\
            role\": \"user\"}]}'\n\n# Response includes:\n{\"system_fingerprint\"\
            : \"fp_70185065a4_gpt-oss-120b_v123_super-cool-version\", ...}\n```\n\
            In this example:\n- `fp_70185065a4` - Cerebras backend configuration used\
            \ to serve the request\n- `gpt-oss-120b` - Model architecture ID\n- `123`\
            \ - Model version ID\n- `super-cool-version` - Custom suffix set during\
            \ upload"
      additionalProperties: false
      type: object
      required:
        - weight_uri
      title: ModelVersionUploadRequestModel
    ModelVersionUploadResponse:
      properties:
        name:
          type: string
          title: Name
          description: Model version name in the format of `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`.
            `<version_id>` is an auto-incrementing integer assigned by the system
            upon successful upload. This full model version name can be used for model
            deployment.
        done:
          type: boolean
          title: Done
          description: Whether the operation is complete.
        response:
          anyOf:
            - $ref: '#/components/schemas/ModelVersionUploadResponseData'
            - type: 'null'
          description: Response data with model version information.
      additionalProperties: false
      type: object
      required:
        - name
        - done
      title: ModelVersionUploadResponse
    ModelVersionUploadResponseData:
      properties:
        customer_s3_uri:
          type: string
          title: Customer S3 Uri
          description: S3 URI provided by the customer.
        version_aliases:
          items:
            type: string
          type: array
          title: Version Aliases
          description: List of aliases that can be used to refer to this version.
        sync_status:
          title: Sync Status
          description: Status of the weight sync operation.
          $ref: '#/components/schemas/WeightSyncStatusEnum'
      additionalProperties: false
      type: object
      required:
        - customer_s3_uri
        - version_aliases
        - sync_status
      title: ModelVersionUploadResponseData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WeightSyncStatusEnum:
      type: string
      enum:
        - not_started
        - queued
        - in_progress
        - done
        - error
        - skipped
      title: WeightSyncStatusEnum
      description: Enum representing the status of a weight sync operation.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'Management API key generated from the `Management API keys` section
        on the `API keys` page at https://cloud.cerebras.ai. Use the format: `Bearer
        <MANAGEMENT_API_KEY>`'
security:
  - BearerAuth: []
servers:
  - url: https://api.cerebras.ai
